
/* UX23A function to code number definitions */

#define PROG_NAME "lux23"
#define VERSION "1.0.0"
#define UX_TYPE "UX23A"
#define USE_CODELIST1
#define USE_CODELIST2

#define CODENUM_UNDEF     -1
#define CODENUM_FUNC      -2
#define CODENUM_RELF      -3
#define CODENUM_NORELF    -4
#define CODENUM_SHOWONLY  -5

#define CODENUM_TV         0
#define CODENUM_VCR        6
#define CODENUM_DVD       36
#define CODENUM_CAB       12
#define CODENUM_SAT       18
#define CODENUM_CD        42

#define CODENUM_POWER      3
#define CODENUM_CHANUP     4
#define CODENUM_CHANDN     2
#define CODENUM_VOLUP     13
#define CODENUM_VOLDN      7
#define CODENUM_MUTE       1
#define CODENUM_MENU      56
#define CODENUM_UP        49
#define CODENUM_DOWN      57
#define CODENUM_RIGHT     52
#define CODENUM_LEFT      50
#define CODENUM_PLAY       9
#define CODENUM_PAUSE     16
#define CODENUM_STOP      15
#define CODENUM_RECORD    14
#define CODENUM_FASTFWD   10
#define CODENUM_REWIND     8
#define CODENUM_EXIT      58
#define CODENUM_TITLE     33
#define CODENUM_SUBTITLE  34
#define CODENUM_DISPLAY   25
#define CODENUM_RETURN    32
#define CODENUM_OK        51
#define CODENUM_AV        CODENUM_UNDEF
#define CODENUM_SKIPUP    CODENUM_UNDEF
#define CODENUM_SKIPDN    CODENUM_UNDEF
#define CODENUM_ENTER     46
#define CODENUM_SETUP     23
#define CODENUM_INIT       0
#define CODENUM_RELEASE   63

#define CODENUM_ZERO      45
#define CODENUM_ONE       20
#define CODENUM_TWO       21
#define CODENUM_THREE     22
#define CODENUM_FOUR      26
#define CODENUM_FIVE      27
#define CODENUM_SIX       28
#define CODENUM_SEVEN     38
#define CODENUM_EIGHT     39
#define CODENUM_NINE      40

